Main Page Class Hierarchy Compound List File List Compound Members File Members

# DBMutableServer Class Reference

`#include <dbmutableserver.h>`

Inheritance diagram for DBMutableServer:

List of all members.

## Public Member Functions
HANDLE_STATUS | HandleConfigLine (ConfigSource *p_parser)
## Protected Member Functions
void | CheckConfig ()
bool | PrepareToRun ()
bool | InitializeDB ()
bool | GetDefaultsFromDB (void *p_parmstruct)
virtual HANDLE_STATUS | HandleParameterLine (ConfigSource *p_parser, void *p_params)=0
## Protected Attributes
std::string | DB_User
std::string | DB_Password
std::string | DB_Service

## Member Function Documentation

void DBMutableServer::CheckConfig | ( |  | ) | `[protected, virtual]`

| Reimplemented from MutableServerBase. Reimplemented in ServerTemplate. Definition at line 80 of file dbmutableserver.cpp. References MutableServerBase::CheckConfig(), TConfigurable::ConfigState, DB_Password, DB_Service, DB_User, TLogger::Logit(), and WORM_STAT_BADSTATE.

bool DBMutableServer::GetDefaultsFromDB | ( | void * | p_parmstruct | ) | `[protected]`

| Definition at line 174 of file dbmutableserver.cpp. References WormServerBase::LoggingLevel, TLogger::Logit(), and WORM_LOG_ERRORS. Referenced by ServerTemplate::PrepareToRun().

HANDLE_STATUS DBMutableServer::HandleConfigLine | ( | ConfigSource * | p_parser | ) | `[virtual]`

| Reimplemented from MutableServerBase. Reimplemented in ServerTemplate. Definition at line 13 of file dbmutableserver.cpp. References DB_Password, DB_Service, DB_User, HANDLE_STATUS, MutableServerBase::HandleConfigLine(), HANDLER_INVALID, HANDLER_UNUSED, HANDLER_USED, ConfigSource::Its(), WormServerBase::LoggingLevel, TLogger::Logit(), ConfigSource::String(), and WORM_LOG_ERRORS.

virtual HANDLE_STATUS DBMutableServer::HandleParameterLine | ( | ConfigSource * | p_parser,
|  | void * | p_params
| ) | `[protected, pure virtual]`

| Implemented in ServerTemplate.

bool DBMutableServer::InitializeDB | ( |  | ) | `[protected]`

| Definition at line 124 of file dbmutableserver.cpp. References DB_Password, DB_Service, DB_User, WormServerBase::LoggingLevel, TLogger::Logit(), and WORM_LOG_ERRORS. Referenced by PrepareToRun().

bool DBMutableServer::PrepareToRun | ( |  | ) | `[protected, virtual]`

| Reimplemented from MutableServerBase. Reimplemented in ServerTemplate. Definition at line 97 of file dbmutableserver.cpp. References InitializeDB(), WormServerBase::LoggingLevel, TLogger::Logit(), MutableServerBase::PrepareToRun(), and WORM_LOG_ERRORS.

## Member Data Documentation

std::string DBMutableServer::DB_Password`[protected]`

| Definition at line 63 of file dbmutableserver.h. Referenced by CheckConfig(), HandleConfigLine(), and InitializeDB().

std::string DBMutableServer::DB_Service`[protected]`

| Definition at line 63 of file dbmutableserver.h. Referenced by CheckConfig(), HandleConfigLine(), and InitializeDB().

std::string DBMutableServer::DB_User`[protected]`

| Definition at line 63 of file dbmutableserver.h. Referenced by CheckConfig(), HandleConfigLine(), and InitializeDB().

The documentation for this class was generated from the following files:

- dbmutableserver.h
- dbmutableserver.cpp